# Generated by Django 4.2.17 on 2025-02-07 13:36

from django.db import migrations, models


def run_data_migration(apps, schema_editor):
    Question = apps.get_model('questions', 'Question')
    for question in Question.objects.all():
        if question.widget_type == 'autocomplete':
            question.widget_type = 'select'
            question.save()
        elif question.widget_type == 'freeautocomplete':
            question.widget_type = 'select_creatable'
            question.save()


class Migration(migrations.Migration):

    dependencies = [
        ('questions', '0096_alter_question_value_type'),
    ]

    operations = [
        migrations.AlterField(
            model_name='question',
            name='widget_type',
            field=models.CharField(choices=[('text', 'Text'), ('textarea', 'Textarea'), ('yesno', 'Yes/No'), ('checkbox', 'Checkboxes'), ('radio', 'Radio buttons'), ('select', 'Select drop-down'), ('select_creatable', 'Select drop-down (free)'), ('range', 'Range slider'), ('date', 'Date picker'), ('file', 'File upload')], help_text='Type of widget for this question.', max_length=16, verbose_name='Widget type'),
        ),
        migrations.RunPython(run_data_migration),
    ]
